// Project Lab - NHTV Igad

#pragma once

#include "Spawners/KOTHSpawnerBase.h"
#include "KOTHBossSpawner.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API AKOTHBossSpawner : public AKOTHSpawnerBase
{
	GENERATED_BODY()
public:
	virtual void BeginPlay() override;
	virtual void EndPlay(const EEndPlayReason::Type EndPlayReason) override;
	virtual void Tick(float deltaTime)override;
	// Check if the KOTH boss is currently alive
	bool IsBossAlive() const;

protected:
	virtual void m_RespawnMobs()override;
private:

};
